How to fix Getter not found: 'nuutil'

Issue

I’m using Flutter for web app and I’m also using Firebase’s Auth and Firestore.
After starting to use Firestore and doing some work, I got a compilation error and couldn’t debug.

Error console;

Launching lib\main.dart on Chrome in debug mode...
lib\main.dart:1
/C:/Flutter/.pub-cache/hosted/pub.dartlang.org/firebase_core_web-1.1.0/lib/src/interop/utils/utils.dart:112:10: Error: Getter not found: 'nuutil'.
  return nuutil.promiseToFuture(thenable);
         ^^^^^^
Failed to compile application.
Exited (sigterm)

flutter doctor;

[√] Flutter (Channel stable, 2.5.1, on Microsoft Windows [Version 10.0.19042.1237], locale ja-JP)
    • Flutter version 2.5.1 at C:\Flutter
    • Upstream repository https://github.com/flutter/flutter.git
    • Framework revision ffb2ecea52 (3 days ago), 2021-09-17 15:26:33 -0400
    • Engine revision b3af521a05
    • Dart version 2.14.2

[√] Android toolchain - develop for Android devices (Android SDK version 29.0.3)
    • Android SDK at D:\Android
    • Platform android-30, build-tools 29.0.3
    • Java binary at: D:\Program Files\Android\Android Studio\jre\bin\java      
    • Java version OpenJDK Runtime Environment (build 11.0.8+10-b944.6842174)   
    • All Android licenses accepted.

[√] Chrome - develop for the web
    • Chrome at C:\Program Files\Google\Chrome\Application\chrome.exe

[√] Android Studio (version 4.2)
    • Android Studio at D:\Program Files\Android\Android Studio
    • Flutter plugin can be installed from:
       https://plugins.jetbrains.com/plugin/9212-flutter
    • Dart plugin can be installed from:
       https://plugins.jetbrains.com/plugin/6351-dart
    • Java version OpenJDK Runtime Environment (build 11.0.8+10-b944.6842174)   

[√] VS Code (version 1.60.1)
    • VS Code at C:\Users\yukik\AppData\Local\Programs\Microsoft VS Code        
    • Flutter extension version 3.26.0

pubspec.yaml;

dependencies:

  firebase_auth: ^3.1.1
  firebase_core: ^1.6.0
  cloud_firestore: ^2.5.3

And I also

I can’t find any suspicious points anywhere in the dart code, so please tell me the information what you need. What are the possible causes?

Thank you.

Solution

Re-installing flutter SDK solved this issue.

Answered By – Beginner_

Answer Checked By – Katrina (FlutterFixes Volunteer)

Leave a Reply

Your email address will not be published. Required fields are marked *